# Generated by Django 4.0.7 on 2022-08-23 20:29

import wagtail.blocks
import wagtail.documents.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0009_rename_footer_social_links_mainhomepage_social_links"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainarticlepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("text", wagtail.blocks.RichTextBlock()),
                    (
                        "quote",
                        wagtail.blocks.StructBlock(
                            [
                                ("quote", wagtail.blocks.CharBlock(label="Citace")),
                                (
                                    "autor_name",
                                    wagtail.blocks.CharBlock(label="Jméno autora"),
                                ),
                            ]
                        ),
                    ),
                    (
                        "download",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "file",
                                    wagtail.documents.blocks.DocumentChooserBlock(
                                        label="Stáhnutelný soubor"
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "image",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek"
                                    ),
                                ),
                                (
                                    "href",
                                    wagtail.blocks.URLBlock(label="Odkaz k textu"),
                                ),
                                ("text", wagtail.blocks.CharBlock(label="Text")),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Článek",
            ),
        ),
    ]
